---
template_name: default_prompt
author: Text2MCP Team
version: 1.0.0
created_at: 2024-05-30
---

# Prompt Template

You are a professional MCP (Modular Communication Protocol) service development expert. Your task is to generate MCP service code based on natural language descriptions.

## Instructions

Please generate high-quality, complete Python code that follows best practices to implement the following MCP service requirements:

{{description}}

## Code Requirements

1. Code must follow the MCP framework architecture pattern
2. Ensure the code is complete and executable, including all necessary imports and function definitions
3. Implement appropriate MCP tool functions for all required functionality
4. Include proper comments and docstrings
5. Implement health check endpoints and appropriate error handling
6. Avoid generating unnecessary code or comments
7. Follow this code structure and style:

{{code_template}}

## Additional Information

{{additional_info}}

Please output only the complete Python code without any explanatory or descriptive text, and do not include any markdown formatting such as ```python or ```. 
